# Split a segment before a word

- **Method:** `POST`
- **Path:** `/api/v1/dubbing/projects/{project_id}/segments/{segment_id}/split`
- **Operation ID:** `dubbing_split_segment_api_v1_dubbing_projects__project_id__segments__segment_id__split_post`
- **Tags:** Dubbing

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Path parameters

- **`project_id` (required)**: `string`
- **`segment_id` (required)**: `string`

## Request body

**Required:** `true`

**Content type:** `application/json`

schema: `DubbingSplitRequest`

- **`word_index` (required)**: `integer`

  Split before this word index

**Example:**

```json
{
  "word_index": 1
}
```

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `DubbingSplitRequest` — shown above.
- `HTTPValidationError` — shown above.
- `ValidationError` — shown above.
